<?php
/**
 * @file
 * Allows the site to send and receive user contacts to and from Text Marketer.
 */

namespace Drupal\textmarketer_contacts\Controller;

/**
 * UserBundle class.
 */
class UserBundle {

  /**
   * Returns the phone field bundle type; e.g. user or profile2.
   *
   * @return int|string
   *   Returns a bundle type string.
   */
  public function getPhoneBundle() {
    $field_phone = variable_get('textmarketer_contacts_telephone', '');
    $field_info = field_info_field($field_phone);
    foreach ($field_info['bundles'] as $bundle_type => $bundle) {
      $this->fieldBundle = $bundle_type;
      break;
    }

    return $this->fieldBundle;
  }

  /**
   * Returns the subscribe field bundle type; e.g. user or profile2.
   *
   * @return int|string
   *   Returns a bundle type string.
   */
  public function getSubscribeBundle() {
    $field_subscribe = variable_get('textmarketer_contacts_subscribe', '');
    $field_info = field_info_field($field_subscribe);
    foreach ($field_info['bundles'] as $bundle_type => $bundle) {
      $this->fieldBundle = $bundle_type;
      break;
    }

    return $this->fieldBundle;
  }
}
